--------------------------------------------------------
--  DDL for Table HITUNG_PERIZINAN_BULANAN
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" 
   (	"CREATE_TMS" TIMESTAMP (6) DEFAULT (null), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"BULAN" NUMBER(2,0), 
	"TAHUN" NUMBER(6,0), 
	"ID_M_INSTANSI" NUMBER(11,0), 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0), 
	"ID_M_FLOW_TERINTEGRASI" NUMBER(11,0), 
	"HITUNG_PENGAJUAN" NUMBER(11,0), 
	"HITUNG_SELESAI" NUMBER(11,0), 
	"HITUNG_TERLAMBAT" NUMBER(11,0), 
	"HITUNG_ON_TIME" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index HITUNG_PERIZINAN_BULANAN_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."HITUNG_PERIZINAN_BULANAN_PK" ON "PTSPTS"."HITUNG_PERIZINAN_BULANAN" ("BULAN", "TAHUN", "ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN", "ID_M_FLOW_TERINTEGRASI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  Constraints for Table HITUNG_PERIZINAN_BULANAN
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" ADD CONSTRAINT "HITUNG_PERIZINAN_BULANAN_PK" PRIMARY KEY ("BULAN", "TAHUN", "ID_M_INSTANSI", "ID_M_JENIS_PERIZINAN", "ID_M_FLOW_TERINTEGRASI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" MODIFY ("ID_M_FLOW_TERINTEGRASI" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" MODIFY ("ID_M_JENIS_PERIZINAN" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" MODIFY ("ID_M_INSTANSI" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" MODIFY ("TAHUN" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."HITUNG_PERIZINAN_BULANAN" MODIFY ("BULAN" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Table M_FLOW_DETAIL_IZIN
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_FLOW_DETAIL_IZIN" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_DETAIL_IZIN" NUMBER(11,0), 
	"ID_M_FLOW_DETAIL" NUMBER(11,0), 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0), 
	"SLA_IZIN" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_FLOW_DETAIL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_FLOW_DETAIL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_DETAIL" NUMBER(11,0), 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(11,0), 
	"NAMA_FLOW_DETAIL" VARCHAR2(255 BYTE), 
	"KETERANGAN" VARCHAR2(255 BYTE), 
	"URUTAN" NUMBER(6,0), 
	"ID_M_INSTANSI" NUMBER(11,0), 
	"SLA_INSTANSI" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Table M_JENIS_PERIZINAN_SOP
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_JENIS_PERIZINAN_SOP" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_JENIS_PERIZINAN_SOP" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_JENIS_PERIZINAN_SOP" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"SOP" NUMBER(6,0) DEFAULT NULL, 
	"THRESHOLD" NUMBER(6,0) DEFAULT NULL, 
	"KATEGORI" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"M_ID_BIDANG_USAHA" NUMBER(11,0), 
	"ISACTIVE" VARCHAR2(10 BYTE), 
	"URL_REPORT" VARCHAR2(1000 BYTE), 
	"FORMAT_PENOMORAN" VARCHAR2(100 BYTE), 
	"JABATAN_TTD" VARCHAR2(100 BYTE), 
	"NAMA_TTD" VARCHAR2(50 BYTE), 
	"NIP_TTD" VARCHAR2(50 BYTE), 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index M_JENIS_PERIZINAN_SOP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."M_JENIS_PERIZINAN_SOP_PK" ON "PTSPTS"."M_JENIS_PERIZINAN_SOP" ("ID_M_JENIS_PERIZINAN_SOP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  Constraints for Table M_JENIS_PERIZINAN_SOP
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN_SOP" ADD CONSTRAINT "M_JENIS_PERIZINAN_SOP_PK" PRIMARY KEY ("ID_M_JENIS_PERIZINAN_SOP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "PTSPTS"."M_JENIS_PERIZINAN_SOP" MODIFY ("ID_M_JENIS_PERIZINAN_SOP" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Table T_M_LIBUR
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_M_LIBUR" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"TAHUN" NUMBER(11,0), 
	"TANGGAL_LIBUR" DATE, 
	"DESKRIPSI" VARCHAR2(255 BYTE), 
	"AKHIR_PEKAN" CHAR(1 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  Constraints for Table T_M_LIBUR
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_M_LIBUR" MODIFY ("TANGGAL_LIBUR" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Table T_PT_FLOW_IZIN_TERINTEGRASI
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI" 
   (	"CREATE_TMS" TIMESTAMP (6) DEFAULT (null), 
	"CREATE_USER" VARCHAR2(255 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"ID_QRCODE" VARCHAR2(255 BYTE), 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(11,0), 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6), 
	"TANGGAL_SELESAI" TIMESTAMP (6), 
	"STATUS" NUMBER(4,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index T_PT_FLOW_IZIN_TERINTEGRASI_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI_PK" ON "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI" ("ID_QRCODE", "ID_M_FLOW_IZIN_TERINTEGRASI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  Constraints for Table T_PT_FLOW_IZIN_TERINTEGRASI
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI" ADD CONSTRAINT "T_PT_FLOW_IZIN_TERINTEGRASI_PK" PRIMARY KEY ("ID_QRCODE", "ID_M_FLOW_IZIN_TERINTEGRASI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI" MODIFY ("ID_M_FLOW_IZIN_TERINTEGRASI" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."T_PT_FLOW_IZIN_TERINTEGRASI" MODIFY ("ID_QRCODE" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Table T_REG_PT
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."T_REG_PT" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_IP" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"FLAG" VARCHAR2(50 CHAR), 
	"NPWP" VARCHAR2(25 BYTE), 
	"ALAMAT" VARCHAR2(1000 BYTE), 
	"ID_PROVINSI" NUMBER, 
	"NAMA_PROVINSI" VARCHAR2(50 BYTE), 
	"ID_KABKOT" NUMBER, 
	"NAMA_KABKOT" VARCHAR2(100 BYTE), 
	"TELEPON" VARCHAR2(100 BYTE), 
	"FAX" VARCHAR2(100 BYTE), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"UPDATE_TMS" TIMESTAMP (6), 
	"UPDATE_USER" VARCHAR2(255 BYTE), 
	"NAMA_PIMPINAN" VARCHAR2(50 BYTE), 
	"FOTO_PIMPINAN" BLOB, 
	"STATUS_PENANAMAN_MODAL" VARCHAR2(10 BYTE), 
	"JABATAN_PIMPINAN" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" 
 LOB ("FOTO_PIMPINAN") STORE AS BASICFILE "SYS_LOB0000197638C00022$$"(
  TABLESPACE "PTSPTS" ENABLE STORAGE IN ROW CHUNK 8192 RETENTION 
  NOCACHE LOGGING 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)) ;
--------------------------------------------------------
--  DDL for Index SYS_C00110363
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C00110363" ON "PTSPTS"."T_REG_PT" ("NO_PERUSAHAAN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  Constraints for Table T_REG_PT
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."T_REG_PT" MODIFY ("NO_PERUSAHAAN" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."T_REG_PT" ADD CONSTRAINT "SYS_C00110363" PRIMARY KEY ("NO_PERUSAHAAN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
--------------------------------------------------------
--  DDL for Table TRACKING_REGISTER_DETAIL
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_TRACKING_REGISTER_DETAIL" NUMBER(11,0) DEFAULT NULL, 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_JENIS_PERIZINAN" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_JENIS_PERIZINAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"SOP" NUMBER(11,0) DEFAULT NULL, 
	"THRESHOLD" NUMBER(6,0) DEFAULT NULL, 
	"KATEGORI" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"NO_IZIN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"IS_DRAFT" VARCHAR2(5 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_INSTANSI" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_DIREKTORAT" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_BIDANG_USAHA" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_PENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI_ESTIMASI" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"PROSES_FLAG" CHAR(1 BYTE) DEFAULT NULL, 
	"PERFORMANCE" CHAR(1 BYTE) DEFAULT NULL, 
	"LAMA_PROSES" NUMBER(6,0) DEFAULT NULL, 
	"IS_TRACK" CHAR(1 BYTE) DEFAULT NULL, 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"TANGGAL_WARNING" TIMESTAMP (6), 
	"TANGGAL_THRESHOLD" TIMESTAMP (6), 
	"ID_STOP" NUMBER(11,0), 
	"ID_M_FLOW_DETAIL_IZIN" NUMBER(11,0), 
	"ID_M_FLOW_DETAIL" NUMBER(11,0), 
	"JENIS_STATUS_SELESAI" NUMBER(4,0), 
	"ID_M_FLOW_IZIN_TERINTEGRASI" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097458
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097458" ON "PTSPTS"."TRACKING_REGISTER_DETAIL" ("ID_TRACKING_REGISTER_DETAIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  Constraints for Table TRACKING_REGISTER_DETAIL
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" MODIFY ("ID_TRACKING_REGISTER_DETAIL" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_DETAIL" ADD CONSTRAINT "SYS_C0097458" PRIMARY KEY ("ID_TRACKING_REGISTER_DETAIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRD_ID_TRD_TRG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PTSPTS"."TRD_ID_TRD_TRG" BEFORE INSERT ON PTSPTS.TRACKING_REGISTER_DETAIL FOR EACH ROW
BEGIN
  :NEW.ID_TRACKING_REGISTER_DETAIL:= TRD_ID_TRD_SEQ.NEXTVAL;
END;
/
ALTER TRIGGER "PTSPTS"."TRD_ID_TRD_TRG" ENABLE;
--------------------------------------------------------
--  DDL for Table TRACKING_REGISTER_HEADER
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_QRCODE" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NO_PERUSAHAAN" NUMBER(6,0) DEFAULT NULL, 
	"NAMA_PERUSAHAAN" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_BIDANG_USAHA" NUMBER(6,0) DEFAULT NULL, 
	"IS_DRAFT" VARCHAR2(5 BYTE) DEFAULT 'NULL', 
	"NAMA_INSTANSI" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_DIREKTORAT" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"NAMA_BIDANG_USAHA" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"SOP_TOTAL" NUMBER(6,0) DEFAULT NULL, 
	"ID_M_KLASI_PERIZINAN_HEADER" NUMBER(11,0), 
	"NAMA_KLASI_PERIZINAN_HEADER" VARCHAR2(100 BYTE), 
	"TANGGAL_ESTIMASI_SELESAI" TIMESTAMP (6) DEFAULT NULL, 
	"TANGGAL_IPPENGAJUAN" TIMESTAMP (6) DEFAULT NULL, 
	"NO_IP" VARCHAR2(255 BYTE) DEFAULT 'NULL'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097448
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097448" ON "PTSPTS"."TRACKING_REGISTER_HEADER" ("ID_QRCODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS" ;
--------------------------------------------------------
--  Constraints for Table TRACKING_REGISTER_HEADER
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" MODIFY ("ID_QRCODE" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."TRACKING_REGISTER_HEADER" ADD CONSTRAINT "SYS_C0097448" PRIMARY KEY ("ID_QRCODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS"  ENABLE;
--------------------------------------------------------
--  DDL for Table M_USER
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_USER" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ID_M_USER" VARCHAR2(30 BYTE) DEFAULT NULL, 
	"NAMA_USER" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"PASSWORD" VARCHAR2(60 BYTE) DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_USER_ROLES" NUMBER(11,0) DEFAULT NULL, 
	"ID_M_DIREKTORAT" NUMBER(*,0), 
	"JABATAN" VARCHAR2(100 BYTE), 
	"TELP" VARCHAR2(50 BYTE), 
	"EMAIL" VARCHAR2(50 BYTE), 
	"REMEMBER_TOKEN" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097440
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097440" ON "PTSPTS"."M_USER" ("ID_M_USER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  Constraints for Table M_USER
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_USER" MODIFY ("ID_M_USER" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."M_USER" ADD CONSTRAINT "SYS_C0097440" PRIMARY KEY ("ID_M_USER")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
--------------------------------------------------------
--  DDL for Table M_INSTANSI
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_INSTANSI" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(50 BYTE) DEFAULT NULL, 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_INSTANSI" VARCHAR2(100 BYTE) DEFAULT NULL, 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT NULL, 
	"ISDELATED" VARCHAR2(5 BYTE) DEFAULT NULL, 
	"ISBKO" VARCHAR2(5 BYTE), 
	"FILENAME" VARCHAR2(100 BYTE), 
	"FILENAME_ENG" VARCHAR2(100 BYTE), 
	"NAMA_INSTANSI_ENG" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097429
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097429" ON "PTSPTS"."M_INSTANSI" ("ID_M_INSTANSI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  Constraints for Table M_INSTANSI
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_INSTANSI" MODIFY ("ID_M_INSTANSI" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."M_INSTANSI" ADD CONSTRAINT "SYS_C0097429" PRIMARY KEY ("ID_M_INSTANSI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
--------------------------------------------------------
--  DDL for Table M_DIREKTORAT
--------------------------------------------------------

  CREATE TABLE "PTSPTS"."M_DIREKTORAT" 
   (	"CREATE_TMS" TIMESTAMP (6), 
	"CREATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"UPDATE_TMS" TIMESTAMP (6) DEFAULT NULL, 
	"UPDATE_USER" VARCHAR2(50 BYTE) DEFAULT 'NULL', 
	"ID_M_DIREKTORAT" NUMBER(11,0) DEFAULT NULL, 
	"NAMA_DIREKTORAT" VARCHAR2(100 BYTE) DEFAULT 'NULL', 
	"ABBRV" VARCHAR2(255 BYTE) DEFAULT 'NULL', 
	"ID_M_INSTANSI" NUMBER(11,0) DEFAULT NULL, 
	"ISDELATED" VARCHAR2(5 BYTE) DEFAULT 'NULL'
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  DDL for Index SYS_C0097427
--------------------------------------------------------

  CREATE UNIQUE INDEX "PTSPTS"."SYS_C0097427" ON "PTSPTS"."M_DIREKTORAT" ("ID_M_DIREKTORAT") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2" ;
--------------------------------------------------------
--  Constraints for Table M_DIREKTORAT
--------------------------------------------------------

  ALTER TABLE "PTSPTS"."M_DIREKTORAT" MODIFY ("ID_M_DIREKTORAT" NOT NULL ENABLE);
  ALTER TABLE "PTSPTS"."M_DIREKTORAT" ADD CONSTRAINT "SYS_C0097427" PRIMARY KEY ("ID_M_DIREKTORAT")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "PTSPTS2"  ENABLE;
